Package com.google.javascript.jscomp.webservice.common

# Enum Protocol.RequestKey

java.lang.Object
java.lang.Enum<Protocol.RequestKey>
com.google.javascript.jscomp.webservice.common.Protocol.RequestKey

All Implemented Interfaces:
  `Protocol.ProtocolEnum`, `Serializable`, `Comparable<Protocol.RequestKey>`, `java.lang.constant.Constable`

Enclosing class:
  `Protocol`

public static enum Protocol.RequestKey extends Enum<Protocol.RequestKey> implements Protocol.ProtocolEnum
All the keys that can be part of the http request.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`API_KEY`
`BASE`
`BUILD_DEBUG`
`CHARSET`
`CODE_URL`
`COMPILATION_LEVEL`
`EXCLUDE_DEFAULT_EXTERNS`
`EXTERNS_CODE`
`EXTERNS_URL`
`FORMATTING`
`JS_CODE`
`LANGUAGE`
`MODE`
`NOCACHE`
`OUTPUT_FILE_NAME`
`OUTPUT_FORMAT`
`OUTPUT_INFO`
`OUTPUT_WRAPPER`
`RAWJS`
`SCRIPT`
`USE_CLOSURE`
`USE_TYPES_FOR_OPTIMIZATIONS`
`USER_ID`
`WARNING_LEVEL`

## Method Summary

Modifier and Type
Method
Description
`String`
`asGetParameter()`
`String`
`getValue()`
`static boolean`
`isKeyValid(String key)`
`String`
`toString()`
`static Protocol.RequestKey`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Protocol.RequestKey[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CODE_URL

public static final Protocol.RequestKey CODE_URL

### JS_CODE

public static final Protocol.RequestKey JS_CODE

### EXCLUDE_DEFAULT_EXTERNS

public static final Protocol.RequestKey EXCLUDE_DEFAULT_EXTERNS

### EXTERNS_URL

public static final Protocol.RequestKey EXTERNS_URL

### EXTERNS_CODE

public static final Protocol.RequestKey EXTERNS_CODE

### COMPILATION_LEVEL

public static final Protocol.RequestKey COMPILATION_LEVEL

### OUTPUT_FORMAT

public static final Protocol.RequestKey OUTPUT_FORMAT

### OUTPUT_INFO

public static final Protocol.RequestKey OUTPUT_INFO

### OUTPUT_FILE_NAME

public static final Protocol.RequestKey OUTPUT_FILE_NAME

### OUTPUT_WRAPPER

public static final Protocol.RequestKey OUTPUT_WRAPPER

### API_KEY

public static final Protocol.RequestKey API_KEY

### FORMATTING

public static final Protocol.RequestKey FORMATTING

### WARNING_LEVEL

public static final Protocol.RequestKey WARNING_LEVEL

### USER_ID

public static final Protocol.RequestKey USER_ID

### USE_CLOSURE

public static final Protocol.RequestKey USE_CLOSURE

### BUILD_DEBUG

public static final Protocol.RequestKey BUILD_DEBUG

### CHARSET

public static final Protocol.RequestKey CHARSET

### LANGUAGE

public static final Protocol.RequestKey LANGUAGE

### USE_TYPES_FOR_OPTIMIZATIONS

public static final Protocol.RequestKey USE_TYPES_FOR_OPTIMIZATIONS

### RAWJS

public static final Protocol.RequestKey RAWJS

### BASE

public static final Protocol.RequestKey BASE

### MODE

public static final Protocol.RequestKey MODE

### SCRIPT

public static final Protocol.RequestKey SCRIPT

### NOCACHE

public static final Protocol.RequestKey NOCACHE

## Method Details

### values

public static Protocol.RequestKey[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Protocol.RequestKey valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### asGetParameter

public String asGetParameter()

### toString

public String toString()

Overrides:
  `toString` in class `Enum<Protocol.RequestKey>`

### isKeyValid

public static boolean isKeyValid(String key)

### getValue

public String getValue()

Specified by:
  `getValue` in interface `Protocol.ProtocolEnum`
Returns:
  A string representing the key or value specified by the protocol.